Summary: Python bindings for GNU adns library
Name: adns-python
Version: 1.1.1
Release: %mkrel 3
Source0: %{name}-%{version}.tar.bz2
Patch0: adns-python-srv.patch
Patch1: adns-python-invalid_free.patch
License: GPL
Group: Development/Python
Requires: python >= %pyver
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: python-devel >= %{pyver} adns-devel
URL: http://dustman.net/andy/python/adns-python

%description
adns-python is a Python module that interfaces to the adns asynchronous
resolver library.

%prep
%setup -q
%patch0 -p1 -b .srv
%patch1 -p0 -b .free

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc GPL README
%{_libdir}/python%{pyver}/site-packages/*




%changelog
* Thu Jun 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.1-3mdv2009.0
+ Revision: 226115
- rebuild
- remove URL from description

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.1.1-2mdv2008.1
+ Revision: 135817
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 20 2007 Pascal Terjan <pterjan@mandriva.org> 1.1.1-2mdv2007.1
+ Revision: 146816
- Fix two invalid free

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 1.1.1-1mdv2007.1
+ Revision: 91605
- Add Patch0 from fc
- Rebuild for latest python
- Import adns-python

* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 1.0.0-6mdv2007.0
- rebuild

* Wed Aug 24 2005 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 1.0.0-5mdk
- Require python >= 2.5 instead of python = 2.5 (fixes ticket 17152)

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 1.0.0-4mdk
- Rebuild for new python

* Sat Aug 14 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.0-3mdk
- fix BuildRequires

